# Get callback configuration

The endpoint receives as path param project id. If the project exists, the details of the callback configuration are returned.

Endpoint: GET /v1/projects/{projectId}/callback-configuration
Version: 1.0.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: read

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `hmacSecret` (string)
    The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.
    Example: d1c7ccbf-919d-462f-8587-dec95a1b11ee

  - `projectId` (string)

## Response 404:

  - `404` (unknown)
    NOT_FOUND: The project id introduced does not exist.

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)

## Response 500:

  - `500` (unknown)
    INTERNAL: Internal server error. Typically, a server bug.

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)

